summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-02-13 16:05:27 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-02-13 16:05:27 -0300
commit68d9ca947a2544bb76d550de2837d6e9548fe695 (patch)
tree0d0bd8f7ae9f53a703bd17eb4354c7486d01c60a /src
parentf8cd79fffaf5f1f0f7c9a2c5c0850b2677288119 (diff)
Diffstat (limited to 'src')
-rwxr-xr-xsrc/aif.sh2
-rw-r--r--src/core/libs/lib-ui-interactive.sh21
-rw-r--r--src/core/procedures/base2
-rw-r--r--src/core/procedures/interactive17
4 files changed, 21 insertions, 21 deletions
diff --git a/src/aif.sh b/src/aif.sh
index a372932..ee93d88 100755
--- a/src/aif.sh
+++ b/src/aif.sh
@@ -2,7 +2,7 @@
###### Set some default variables ######
-TITLE="Arch Linux Installation Framework"
+TITLE="Parabola GNU/Linux-libre Installation Framework"
LOG="/dev/tty7"
LIB_CORE=/usr/lib/aif/core
LIB_USER=/usr/lib/aif/user
diff --git a/src/core/libs/lib-ui-interactive.sh b/src/core/libs/lib-ui-interactive.sh
index b244a6e..d8d1796 100644
--- a/src/core/libs/lib-ui-interactive.sh
+++ b/src/core/libs/lib-ui-interactive.sh
@@ -1050,23 +1050,18 @@ generate_grub_menulst() {
cat >>$grubmenu <<EOF
-# (0) Arch Linux
-title Arch Linux
+# (0) Parabola GNU/Linux-Libre
+title Parabola GNU/Linux-Libre
root $grubdev
kernel $subdir/vmlinuz26 $kernel_parameters
initrd $subdir/kernel26.img
-# (1) Arch Linux
-title Arch Linux Fallback
+# (1) Parabola GNU/Linux-Libre
+title Parabola GNU/Linux-Libre Fallback
root $grubdev
kernel $subdir/vmlinuz26 $kernel_parameters
initrd $subdir/kernel26-fallback.img
-# (2) Windows
-#title Windows
-#rootnoverify (hd0,0)
-#makeactive
-#chainloader +1
EOF
}
@@ -1194,7 +1189,7 @@ interactive_select_source() {
esac
if [ "$var_PKG_SOURCE_TYPE" = "cd" ]; then
- TITLE="Arch Linux CDROM or OTHER SOURCE Installation"
+ TITLE="Parabola GNU/Linux-Libre CDROM or OTHER SOURCE Installation"
notify "Packages included on this disk have been mounted to /src/core/pkg. If you wish to use your own packages from another source, manually mount them there."
if [ ! -d /src/core/pkg ]; then
notify "Package directory /src/core/pkg is missing!"
@@ -1202,7 +1197,7 @@ interactive_select_source() {
fi
echo "Using CDROM for package installation" >$LOG
else
- TITLE="Arch Linux NET (FTP/HTTP) Installation"
+ TITLE="Parabola GNU/Linux-Libre NET (FTP/HTTP) Installation"
notify "If you wish to load your ethernet modules manually, please do so now in an another terminal."
fi
return 0
@@ -1213,13 +1208,13 @@ interactive_select_source() {
# args: none
# returns: nothing
interactive_select_mirror() {
- notify "Keep in mind ftp.archlinux.org is throttled.\nPlease select another mirror to get full download speed."
+ notify "Keep in mind that these are the only mirrors that contain Free Software only."
# FIXME: this regex doesn't honor commenting
MIRRORS=$(egrep -o '((ftp)|(http))://[^/]*' "${var_MIRRORLIST}" | sed 's|$| _|g')
ask_option no "Mirror selection" "Select an FTP/HTTP mirror" required $MIRRORS "Custom" "_" || return 1
local _server=$ANSWER_OPTION
if [ "${_server}" = "Custom" ]; then
- ask_string "Enter the full URL to core repo." "ftp://ftp.archlinux.org/core/os/$var_ARCH" || return 1
+ ask_string "Enter the full URL to core repo." "http://repo.parabolagnulinux.org/core/os/$var_ARCH" || return 1
var_SYNC_URL=${ANSWER_STRING/\/core\///\$repo/} #replace '/core/' by '/$repo/'
else
# Form the full URL for our mirror by grepping for the server name in
diff --git a/src/core/procedures/base b/src/core/procedures/base
index 3ff66b4..059930f 100644
--- a/src/core/procedures/base
+++ b/src/core/procedures/base
@@ -64,7 +64,7 @@ worker_select_source ()
{
var_PKG_SOURCE_TYPE='cd'
var_FILE_URL="file:///src/core/pkg"
- var_SYNC_URL= # optional, points to a repository string something like ftp://ftp.belnet.be/mirror/archlinux.org/$repo/os/i686 (eg the same format as what you find in /etc/pacman.conf)
+ var_SYNC_URL= # optional, points to a repository string something like http://repo.parabolagnulinux.org/$repo/os/i686 (eg the same format as what you find in /etc/pacman.conf)
}
diff --git a/src/core/procedures/interactive b/src/core/procedures/interactive
index 5155e81..ebcc1e1 100644
--- a/src/core/procedures/interactive
+++ b/src/core/procedures/interactive
@@ -125,12 +125,17 @@ worker_set_editor ()
worker_intro ()
{
- notify "Welcome to the Arch Linux Installation program. The install\
- process is fairly straightforward, and you should run through the options in\
- the order they are presented. If you are unfamiliar with partitioning/making\
- filesystems, you may want to consult some documentation before continuing.\
- You can view all output from commands by viewing your VC7 console (ALT-F7).\
- ALT-F1 will bring you back here.\n\n$DISCLAIMER"
+ notify "Welcome to the Parabola GNU/Linux-Libre Installation program.\
+ You're about to install a Free as in Freedom Arch system!\
+ \n
+ \n
+ The install process is fairly straightforward, and you should run\
+ through the options in the order they are presented. If you are\
+ unfamiliar with partitioning/making filesystems, you may want to\
+ consult some documentation before continuing. You can view all output\
+ from commands by viewing your tty7 console (ALT-F7). ALT-F1 will\
+ bring you back here.\n\n$DISCLAIMER"
+
}